# -*- perl -*-
# $Id: 03-isearch-get.t,v 1.4 2002/02/02 09:01:34 tsuchiya Exp $
#

use strict;
use Test;

BEGIN { plan tests => 5 }

use Search::Saryer;
my $file = 't/01-new-destroy.t';
my $searchstr = 'sary';
my $exct = 3;
my $exstr = <<'__STR__';
use Search::Saryer;
system("mksary $file");
my $x = new Search::Saryer('filename' => $file);
__STR__

system("mksary $file");
my $x = new Search::Saryer('filename' => $file);
ok(defined $x);

ok($x->icase_search($searchstr));
ok($x->count_occurrences == $exct);
$x->sort_occurrences();

my $count = 0;
my $str;
while (1) {
      my $ret = $x->get_next_line();
      last unless defined $ret;
      $count++;
      $str .= $ret;
}
ok($count == $exct);
ok($str eq $exstr);

unlink("$file.ary");
